> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.monite.com/v-2024-05-25/api/receivables/post-receivables-id-send/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.monite.com/_mcp/server. # Send a receivable via email POST https://api.sandbox.monite.com/v1/receivables/{receivable_id}/send Content-Type: application/json Sends an email containing the specified invoice, quote, or credit note and its [attachments](https://docs.monite.com/accounts-receivable/customization/attachments) to the specified receipients. For more information, see [Send an invoice via email](https://docs.monite.com/accounts-receivable/invoices/create#send-via-email). You can only send receivables that have the following statuses: * Invoices: `draft`, `issued`, `partially_paid`, `paid`, `overdue`. In the [non-compliant mode](https://docs.monite.com/accounts-receivable/regulatory-compliance/invoice-compliance): also `canceled`. * Quotes: `draft`, `issued`. * Credit notes: `draft`, `issued`. Draft receivables are automatically moved to the `issued` status before being emailed. That is, you can use `/receivables/{receivable_id}/send` as a shortcut for `/receivables/{receivable_id}/issue` + `/send`, if needed. If issuing fails, the receivables remains in the `draft` status and no email is sent. The counterpart's default email address, which is stored in the `counterpart_contact.email` field of the receivable, is automatically added to the `recipients.to` list. The response contains the `mail_id` which you can pass to [`GET /receivables/{receivable_id}/mails/{mail_id}`](https://docs.monite.com/api/receivables/get-receivables-id-mails-id) to check the email sending status. If you use [custom email templates](https://docs.monite.com/advanced/email-templates/index), note that Monite has separate template types for unpaid invoices, fully paid invoices, quotes, and credit notes. Reference: https://docs.monite.com/api/receivables/post-receivables-id-send ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.sandbox.monite.com/v1` (sandbox, default) - `https://api.monite.com/v1` (eu_production) - `https://us.api.monite.com/v1` (na_production) ## Request ### Path parameters - `receivable_id` (string, required) — ID of an existing invoice, quote, or credit note that you want to send via email. ### Headers - `x-monite-version` (string, required) - `x-monite-entity-id` (string, required) — The ID of the entity that owns the requested resource. ### Body (application/json) This endpoint expects an object. - `body_text` (string, required) — A plain-text string to be inserted into the email body. Use new line characters `\n` to split the text into paragraphs. This text substitutes the `{{body_template}}` variable in the [email template](https://docs.monite.com/advanced/email-templates/index) used, whereas the template itself defines the HTML layout, styles, and formatting of the email body. In the default email templates, this text goes after the logo and heading but before the receivable's details. This text can include [variables](https://docs.monite.com/advanced/variables) as placeholders for document-specific and counterpart-specific data. - `subject_text` (string, required) — Email subject text. Can include [variables](https://docs.monite.com/advanced/variables). - `recipients` (Recipients, optional) — Additional email recipients besides the counterpart's default contact (which is stored in the `counterpart_contact.email` field of the receivable). ## Response ### 200 Successful Response - `mail_id` (string, required) — A unique ID of the email sending operation triggered by this API call. You can pass this value to [`GET /receivables/{receivable_id}/mails/{mail_id}`](https://docs.monite.com/api/receivables/get-receivables-id-mails-id) to check the email sending status. ## Errors ### 400 Post Receivables ID Send Request Bad Request Error Bad Request - `error` (ErrorSchema, required) ### 401 Post Receivables ID Send Request Unauthorized Error The `Authorization` header is missing or contains an invalid or expired access token. See [Authentication](https://docs.monite.com/api/concepts/authentication) to learn how to authenticate API calls. - `error` (ErrorSchema, required) ### 403 Post Receivables ID Send Request Forbidden Error The specified access token does not have permissions to perform this operation. - `error` (ErrorSchema, required) ### 404 Post Receivables ID Send Request Not Found Error A receivable with the specified ID was not found. - `error` (ErrorSchema, required) ### 409 Post Receivables ID Send Request Conflict Error Unsupported receivable status for emails. Must be one of: `draft`, `issued`, `partially_paid`, `paid`, `overdue`, `canceled`. - `error` (ErrorSchema, required) ### 422 Post Receivables ID Send Request Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ### 429 Post Receivables ID Send Request Too Many Requests Error API rate limit has been exceeded. Check the response headers for the rate limit information. - `any` ## Types ### Recipients - `bcc` (list of string, optional) — A list of "Bcc" recipients. - `cc` (list of string, optional) — A list of "Cc" recipients. - `to` (list of string, optional) — A list of "To" recipients. The receivable's `counterpart_contact.email` address is automatically included in this list. ### ErrorSchema - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItem, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItem ## Examples **Request** ```json { "body_text": "body_text", "subject_text": "New invoice #{invoice_number} from {entity_name}" } ``` **Response** ```json { "mail_id": "mail_id" } ``` **SDK Code** ```python import requests url = "https://api.sandbox.monite.com/v1/receivables/receivable_id/send" payload = { "body_text": "body_text", "subject_text": "New invoice #{invoice_number} from {entity_name}" } headers = { "x-monite-version": "2024-05-25", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.sandbox.monite.com/v1/receivables/receivable_id/send'; const options = { method: 'POST', headers: { 'x-monite-version': '2024-05-25', 'x-monite-entity-id': '9d2b4c8f-2087-4738-ba91-7359683c49a4', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"body_text":"body_text","subject_text":"New invoice #{invoice_number} from {entity_name}"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.sandbox.monite.com/v1/receivables/receivable_id/send" payload := strings.NewReader("{\n \"body_text\": \"body_text\",\n \"subject_text\": \"New invoice #{invoice_number} from {entity_name}\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("x-monite-version", "2024-05-25") req.Header.Add("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.sandbox.monite.com/v1/receivables/receivable_id/send") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["x-monite-version"] = '2024-05-25' request["x-monite-entity-id"] = '9d2b4c8f-2087-4738-ba91-7359683c49a4' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"body_text\": \"body_text\",\n \"subject_text\": \"New invoice #{invoice_number} from {entity_name}\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.sandbox.monite.com/v1/receivables/receivable_id/send") .header("x-monite-version", "2024-05-25") .header("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"body_text\": \"body_text\",\n \"subject_text\": \"New invoice #{invoice_number} from {entity_name}\"\n}") .asString(); ``` ```php request('POST', 'https://api.sandbox.monite.com/v1/receivables/receivable_id/send', [ 'body' => '{ "body_text": "body_text", "subject_text": "New invoice #{invoice_number} from {entity_name}" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'x-monite-entity-id' => '9d2b4c8f-2087-4738-ba91-7359683c49a4', 'x-monite-version' => '2024-05-25', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.sandbox.monite.com/v1/receivables/receivable_id/send"); var request = new RestRequest(Method.POST); request.AddHeader("x-monite-version", "2024-05-25"); request.AddHeader("x-monite-entity-id", "9d2b4c8f-2087-4738-ba91-7359683c49a4"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"body_text\": \"body_text\",\n \"subject_text\": \"New invoice #{invoice_number} from {entity_name}\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "x-monite-version": "2024-05-25", "x-monite-entity-id": "9d2b4c8f-2087-4738-ba91-7359683c49a4", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "body_text": "body_text", "subject_text": "New invoice #{invoice_number} from {entity_name}" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.sandbox.monite.com/v1/receivables/receivable_id/send")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```